#
# spec file for package mate-backgrounds
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define _version 1.26
Name:           mate-backgrounds
Version:        1.26.0
Release:        bp156.4.1
Summary:        A set of backgrounds packaged with the MATE desktop
License:        GPL-2.0-only
Group:          System/GUI/Other
URL:            https://mate-desktop.org/
Source:         https://pub.mate-desktop.org/releases/%{_version}/%{name}-%{version}.tar.xz
# PATCH-FIX-UPSTREAM mesonfix-061.patch bjorn.lie@gamil.com -- Fix build with meson 0.61 and newer
Patch:          mesonfix-061.patch

BuildRequires:  mate-common >= %{_version}
BuildRequires:  meson
BuildArch:      noarch

%description
This is a collection of desktop wallpapers created with MATE users
in mind.

%lang_package

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{name} %{?no_lang_C}

%files
%license COPYING
%doc AUTHORS NEWS
%{_datadir}/backgrounds/
%{_datadir}/mate-background-properties/

%files lang -f %{name}.lang

%changelog
* Thu Feb 24 2022 Bjørn Lie <bjorn.lie@gmail.com>
- Add mesonfix-061.patch: Fix build with meson 0.61 and newer.
- Drop lang Recommends: No longer needed, this is handled
  automatically now.
* Sun Aug 15 2021 Hillwood Yang <hillwood@opensuse.org>
- Update version to 1.26.0
  * Update translations
* Mon Jan 25 2021 Dirk Müller <dmueller@suse.com>
- update to 1.24.2:
  * Translations update
  * Added elephants wallpaper
* Wed Feb 26 2020 Alexei Sorokin <sor.alexei@meowr.ru>
- Update to version 1.24.1 (changes since 1.23.0):
  * build: Don't override GETTEXT_PACKAGE if it's equal to
    PACKAGE_NAME.
  * Fix the error if have a newer version of gettext.
  * build: Add meson config files to EXTRA_DIST.
  * Update translations.
- Drop support for old openSUSE versions.
* Wed Feb  5 2020 Jonathan Brielmaier <jbrielmaier@suse.de>
- Switch to meson build system. This makes the build green again.
* Wed Jul 17 2019 Jonathan Brielmaier <jbrielmaier@suse.de>
- Update to version 1.23.0:
  * Translations update
  * update makepot script
  * use meson build system
  * Migrate from intltool to gettext
  * provide releases at github
* Tue Mar  5 2019 sor.alexei@meowr.ru
- Update to version 1.22.0:
  * Update translations.
* Fri Mar  9 2018 sor.alexei@meowr.ru
- Update to version 1.20.0:
  * Drop ancient GNOME leftovers.
  * Update translations.
* Tue Mar 14 2017 sor.alexei@meowr.ru
- Update to version 1.18.0:
  * Update translations.
* Tue Sep 20 2016 sor.alexei@meowr.ru
- Update to version 1.16.0:
  * Update translations.
* Sat Apr  9 2016 sor.alexei@meowr.ru
- Update to version 1.14.0:
  * Add new languages and sync translations with Transifex.
  * Add Changelog generation.
* Mon Jan 25 2016 sor.alexei@meowr.ru
- Update to version 1.13.0.
* Thu Nov  5 2015 sor.alexei@meowr.ru
- Update to 1.12.0.
* Mon May  4 2015 p.drouand@gmail.com
- Update to version 1.10.0
  * No changes since version 1.9.90
* Mon Mar 23 2015 p.drouand@gmail.com
- Update to version 1.9.90 (unstable)
  * No changes since version 1.9.1
* Tue Nov 11 2014 p.drouand@gmail.com
- Update to version 1.9.1 (unstable)
  + Add Ubuntu MATE wallpapers without branding, by Ubuntu MATE team
  + Add new MATE-Stripes-Dark.png, MATE-Stripes-Light.png wallpapers
- Fix version requirements
* Sun Oct 26 2014 p.drouand@gmail.com
- Update to version 1.9.0 (unstable)
  + Add new MATE-Stripes-Dark.png, MATE-Stripes-Light.png wallpapers
    by hekel
* Wed Mar  5 2014 p.drouand@gmail.com
- Update to version 1.8.0
  + no changes since version 1.7.90
* Wed Feb 19 2014 p.drouand@gmail.com
- Update to version 1.7.90 (unstable)
  + add new "Float into MATE" wallpaper by Rowen Stipe
  + add artist tag in XML files
- Remove useless xz require
* Wed Jan  1 2014 p.drouand@gmail.com
- Update to version 1.6.1
  + Fix makefile for make dist
  + Create xz tarball
  + Remove distro folder
- Unversion Recommends: mate-backgrounds-lang
* Wed Apr  3 2013 johann.luce@wanadoo.fr
- Update to version 1.6.0
  + Add Recommends:     %%{name}-lang = %%{version}-%%{release}
  + change backgrounds installation path
  + rename configure.in to configure.ac to be liked by autoconf 1.12
  + fix GPL version in README
* Wed Nov  7 2012 nmo.marques@gmail.com
- Remove branding hacks
* Sun Oct 21 2012 nmo.marques@gmail.com
- Update to version 1.5.0
  + fixes on FSF headers
  + version bump
* Sun Sep  9 2012 nmo.marques@gmail.com
- require 'wallpaper-branding-openSUSE' and create links in %%post
  TESTING.
* Sat Sep  8 2012 nmo.marques@gmail.com
- update to version 1.4.0
- copypac to X11:MATE
  + minor cosmetic fixes
* Sun Jan  1 2012 nmarques@opensuse.org
- initial package from release 1.1.0
